Package org.gradle.api.artifacts

# Interface ComponentMetadataVersionLister

All Superinterfaces:
  `Action<ComponentMetadataListerDetails>`

public interface ComponentMetadataVersionLister extends Action<ComponentMetadataListerDetails>
Interface for custom version listers. A version lister is responsible for returning the list of versions of a module which are available in a specific repository. For this, Gradle is going to call the lister once for each module it needs the list of versions. This will typically happen in case a dynamic version is requested, in which case we need to know the list of versions published for this module. It will not, however, be called for fixed version numbers.

Since:
  4.9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(ComponentMetadataListerDetails details)`
  Perform a version listing query

- ## Method Details

  - ### execute

    void execute(ComponentMetadataListerDetails details)
    Perform a version listing query
    Specified by:
      `execute` in interface `Action<ComponentMetadataListerDetails>`
    Parameters:
      `details` - the details of the version listing query
    Since:
      4.9